%define api		1
%define dbusmajor	0
%define major		1
%define libname		%mklibname %{name} %{major}
%define libdbus		%mklibname %{name}-dbus %{api} %{dbusmajor}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 0

%define busname		ca.desrt.dconf-editor

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	An editor for the Dconf configuration system
Name:		dconf-editor
Version:	3.23.4
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# do not use XDG_RUNTIME_DIR when root - workaround for mga#11643 bug
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/dconf
BuildRequires:	pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(dconf)
BuildRequires:	vala-devel >= 0.17.0
BuildRequires:	gtk-doc >= 1.15
BuildRequires:	vala >= 0.17.0
BuildRequires:	intltool
BuildRequires:	appstream-util
Requires:	dbus
Requires:	dconf >= 0.23.2

%description
This is a graphical editor for the Dconf configuration system.

%prep
%setup -q
%autopatch -p1

# fix invalid-desktopfile:
# missing semicolon (';') as trailing character for locale string list key "Keywords[ro]"
sed -i -e 's|configurări;configurație;setări"|configurări;configurație;setări;"|' po/ro.po

%build
%configure2_5x
%make_build

%install
%make_install
#we need this beacuse ibus and gdm installs file there
install -d %{buildroot}%{_sysconfdir}/dconf/db
install -d %{buildroot}%{_sysconfdir}/dconf/profile

%find_lang dconf

%files -f dconf.lang
%{_bindir}/dconf-editor
%{_mandir}/man1/dconf-editor.*
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/appdata/%{busname}.appdata.xml
%{_iconsdir}/hicolor/*/apps/dconf-editor*.*
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/glib-2.0/schemas/%{busname}.gschema.xml


%changelog
* Wed Mar 22 2017 ovitters <ovitters> 3.23.4-1.mga6
+ Revision: 1094318
- new version 3.23.4

* Mon Jan 16 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1082047
- new version 3.22.3

* Sun Dec 04 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1071931
- new version 3.22.1

* Thu Oct 06 2016 tv <tv> 3.22.0-1.mga6
+ Revision: 1059219
- fix file list

  + ovitters <ovitters>
    - br appstream-util
    - new version 3.22.0

* Sun Sep 18 2016 ovitters <ovitters> 3.21.90-1.mga6
+ Revision: 1053983
- new version 3.21.90

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011846
- new version 3.20.2

* Thu Apr 14 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001373
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993841
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990749
- new version 3.19.92

* Tue Mar 01 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981271
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961833
- new version 3.19.90

* Tue Dec 15 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910754
- new version 3.19.3

* Tue Nov 24 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905532
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 904993
- new version 3.19.1

* Thu Nov 12 2015 ovitters <ovitters> 3.18.2-2.mga6
+ Revision: 902770
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890055
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882711
- new release

* Tue Sep 15 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879601
- new version 3.17.92

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871902
- new version 3.17.91

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865845
- new version 3.17.90

* Sun Jun 21 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 838262
- imported package dconf-editor

